> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Delete diagnosis

DELETE https://api.taigabilling.com/api/diagnoses/v2/{diagnosis_id}

Deletes the diagnosis record associated with the provided `diagnosis_id`

Reference: https://docs.taigabilling.com/api-reference/diagnoses/delete

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `diagnosis_id` (string, required)

## Errors

### 404 Not Found Error

- `Diagnoses_deleteRequestNotFoundError`
  - DiagnosesDeleteRequestNotFoundError0

### 422 Unprocessable Entity Error

- `Diagnoses_deleteRequestUnprocessableEntityError`
  - DiagnosesDeleteRequestUnprocessableEntityError0

## Types

### DiagnosesDeleteRequestNotFoundError0

- `errorName` (enum, optional)
  - Allowed values: `ServiceLinesMustHaveAtLeastOneDiagnosisHTTPError`
- `content` (DiagnosisNotFoundError, optional)

### DiagnosesDeleteRequestUnprocessableEntityError0

- `errorName` (enum, optional)
  - Allowed values: `ServiceLinesMustHaveAtLeastOneDiagnosisHTTPError`
- `content` (ServiceLinesMustHaveAtLeastOneDiagnosisError, optional)

### DiagnosisNotFoundError

- `message` (string, required)
- `diagnosis_id` (string, optional, nullable)

### ServiceLinesMustHaveAtLeastOneDiagnosisError

- `diagnosis_id` (string, required)
- `service_line_id` (string, required)
- `message` (string, required)

## Examples

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/diagnoses/v2/diagnosis_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```